#ifndef SERVOMOTOT_COMPONENT_H
#define SERVOMOTOT_COMPONENT_H

#include <Servo.h>

enum Position {
    LEFT,
    MIDDLE,
    RIGHT
};

class ServoMotorComponent
{
public:
    ServoMotorComponent(int PIN, unsigned long updatePeriod);
    ~ServoMotorComponent() = default;
    int getCurrentPosition();
    void setCurrentPosition();
    void setDesiredPosition(Position desiredPosition);
    void setPin(int PIN);
    void refresh();

private:
    int PIN;
    int currentPosition;
    int desiredposition;
    Servo myservo;
    unsigned long lastUpTime;
    unsigned long updatePeriod;
};





#endif //SERVOMOTOT_COMPONENT_H
